跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 22.6.1, which is no longer the latest release. See the latest release.

Create a milestone

POST
/repos/{owner}/{repo}/milestones
curl --request POST \
--url https://gitea.example.com/api/v1/repos/example/example/milestones \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "description": "example", "due_on": "2026-04-15T12:00:00Z", "state": "open", "title": "example" }'
owner
required
string

Owner of the repo

repo
required
string

Name of the repo

Media typeapplication/json

CreateMilestoneOption options for creating a milestone

object
description
string
due_on
string format: date-time
state
string
Allowed values: open closed
title
string

Milestone

Media typeapplication/json

Milestone milestone is a collection of issues on one repository

object
closed_at
string format: date-time
closed_issues
integer format: int64
created_at
string format: date-time
description
string
due_on
string format: date-time
id
integer format: int64
open_issues
integer format: int64
state

StateType issue state type

string
title
string
updated_at
string format: date-time
Examplegenerated
{
"closed_at": "2026-04-15T12:00:00Z",
"closed_issues": 1,
"created_at": "2026-04-15T12:00:00Z",
"description": "example",
"due_on": "2026-04-15T12:00:00Z",
"id": 1,
"open_issues": 1,
"state": "example",
"title": "example",
"updated_at": "2026-04-15T12:00:00Z"
}

APINotFound is a not found empty response

Media typeapplication/json